package com.nisum.paymentvendorsimulator.domain.dto;

import java.time.LocalDateTime;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@AllArgsConstructor
public class SimulatorResponse {

  String id;
  String status;
  SimulatorAmount amount;
  String invoice_id;
  SimulatorSellerProtection seller_protection;
  LocalDateTime expiration_time;
  LocalDateTime create_time;
  LocalDateTime update_time;
  List<SimulatorLink> links;

  public SimulatorResponse() {
  }
}


